Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ORB.h File Reference

`#include "Exception.h"`
`#include "objectid.h"`
`#include "PolicyC.h"`
`#include "OBV_Constants.h"`
`#include "CORBA_methods.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Guard_T.h"`

Include dependency graph for ORB.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Enumerations
enum | TAO_Service_ID { TAO_SERVICEID_NAMESERVICE, TAO_SERVICEID_TRADINGSERVICE, TAO_SERVICEID_IMPLREPOSERVICE, TAO_SERVICEID_INTERFACEREPOSERVICE, TAO_SERVICEID_MCASTSERVER }

## Detailed Description

Id:
  ORB.h,v 1.232 2003/11/18 14:55:10 smcqueen Exp

Header file for CORBA's ORB type.

Author:
  Copyright 1994-1995 by Sun Microsystems Inc. , Douglas C. Schmidt <schmidt@uci.edu>

## Enumeration Type Documentation

enum TAO_Service_ID

  | Enumeration values:
  TAO_SERVICEID_NAMESERVICE |
  TAO_SERVICEID_TRADINGSERVICE |
  TAO_SERVICEID_IMPLREPOSERVICE |
  TAO_SERVICEID_INTERFACEREPOSERVICE |
  TAO_SERVICEID_MCASTSERVER |